Subject: Re: bug#73928: Bug#1080330: coreutils: who no longer works

From: Arsen Arsenović <[email-masked]>
Date: Mon, 17 Feb 2025 12:25:49 +0100

Paul Eggert <[email-masked]> writes:

>> 'who' merely reports the info it got from systemd-logind, and systemd-logind
>> most probably got a notification from gdm.
>> I agree with you that this _looks_like_ as if a user named 'gdm' was logged
>> in, and thus is misleading. But I don't think this should be fixed in
>> coreutils. Rather, this is something to work out between systemd-logind
>> and gdm.
>
> OK, but until that's worked out it appears to be better to not use
> --enable-systemd on Fedora when configuring Coreutils. Likewise for Ubuntu
> which has the same issue, and I assume Debian is like Ubuntu.

This is correct, though, there is a session for the user 'gdm', and
they're taking up tty1.  If you walk up to that computer (you said you
were using SSH, so I assume you're remote), you'll see GDM running on
the screen (on one of the virtual TTYs).
-- 
Arsen Arsenović